Skip to main content
POST
/
workspaces
/
{workspaceId}
/
intents
/
quote
Request indicative swap quote
curl --request POST \
  --url https://api.bron.org/workspaces/{workspaceId}/intents/quote
{
  "fromAmount": "<string>",
  "fromAssetId": "<string>",
  "maxPrice": "<string>",
  "minToAmount": "<string>",
  "oracleFeePercent": "<string>",
  "solverFeePercent": "<string>",
  "toAmount": "<string>",
  "toAssetId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.bron.org/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

workspaceId
string
required

Query Parameters

fromAssetId
string
required

ID of the source asset

toAssetId
string
required

ID of the destination asset

fromAmount
string<decimal>

Amount of the from-asset. Exactly one of fromAmount or toAmount must be specified.

toAmount
string<decimal>

Amount of the to-asset. Exactly one of fromAmount or toAmount must be specified.

Response

OK

fromAmount
string<decimal>
required

Amount of the from-asset (echo of the request)

Example:

"120.015"

fromAssetId
string
required

ID of the source asset

Example:

"2"

maxPrice
string<decimal>
required

Price floor (quote/base) to pass to OrderEngine.createOrder.maxPrice_e18

Example:

"973.4500"

minToAmount
string<decimal>
required

Hard floor on the to-asset amount, enforced by maxPrice in the on-chain order. Solvers cannot fill below this.

Example:

"116912.53"

oracleFeePercent
string<decimal>
required

Oracle protocol fee in percent applied to the order

Example:

"0.02"

solverFeePercent
string<decimal>
required

Solver protocol fee in percent applied to the order

Example:

"0.05"

toAmount
string<decimal>
required

Indicative expected amount of the to-asset. May drift slightly toward minToAmount between quote time and order execution.

Example:

"117500.03"

toAssetId
string
required

ID of the destination asset

Example:

"5002"